Bug 2281953 (CVE-2024-36004) - CVE-2024-36004 kernel: i40e: Do not use WQ_MEM_RECLAIM flag for workqueue
Summary: CVE-2024-36004 kernel: i40e: Do not use WQ_MEM_RECLAIM flag for workqueue
Keywords:
Status: NEW
Alias: CVE-2024-36004
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2281955
Blocks: 2282032
TreeView+ depends on / blocked
 
Reported: 2024-05-20 17:32 UTC by Robb Gatica
Modified: 2024-07-15 07:11 UTC (History)
49 users (show)

Fixed In Version: kernel 4.19.313, kernel 5.4.275, kernel 5.10.216, kernel 5.15.158, kernel 6.1.90, kernel 6.6.30, kernel 6.8.9, kernel 6.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:4354 0 None None None 2024-07-08 07:12:00 UTC
Red Hat Product Errata RHBA-2024:4365 0 None None None 2024-07-08 11:01:43 UTC
Red Hat Product Errata RHBA-2024:4461 0 None None None 2024-07-10 15:56:40 UTC
Red Hat Product Errata RHBA-2024:4463 0 None None None 2024-07-10 18:17:53 UTC
Red Hat Product Errata RHBA-2024:4494 0 None None None 2024-07-11 09:39:59 UTC
Red Hat Product Errata RHBA-2024:4495 0 None None None 2024-07-11 10:36:32 UTC
Red Hat Product Errata RHBA-2024:4507 0 None None None 2024-07-11 13:30:04 UTC
Red Hat Product Errata RHBA-2024:4535 0 None None None 2024-07-15 07:11:44 UTC
Red Hat Product Errata RHSA-2024:4211 0 None None None 2024-07-02 08:56:40 UTC
Red Hat Product Errata RHSA-2024:4352 0 None None None 2024-07-08 02:03:31 UTC

Description Robb Gatica 2024-05-20 17:32:09 UTC
In the Linux kernel, the following vulnerability has been resolved:

i40e: Do not use WQ_MEM_RECLAIM flag for workqueue

The Linux kernel CVE team has assigned CVE-2024-36004 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024052024-CVE-2024-36004-fb45@gregkh/T

Comment 2 Robb Gatica 2024-05-20 17:32:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2281955]

Comment 6 Alex 2024-06-09 17:20:42 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2024-36004 is: CHECK	Maybe valid. Check manually. with impact LOW (that is an approximation based on flags REMOTE DISK INIT WARNONLY NETWORK  ; these flags parsed automatically based on patch data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.

Comment 9 errata-xmlrpc 2024-07-02 08:56:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:4211 https://access.redhat.com/errata/RHSA-2024:4211

Comment 10 errata-xmlrpc 2024-07-08 02:03:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:4352 https://access.redhat.com/errata/RHSA-2024:4352


Note You need to log in before you can comment on or make changes to this bug.